LibreOffice LibreOffice 4.3 SDK API Reference

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Modules | Variables
ExternalLinkType.idl File Reference

Go to the source code of this file.

## Modules
module | com
| – idl definition –
module | com::sun
module | com::sun::star
| the module com::sun::star is the root module of the UNO API.
module | com::sun::star::sheet
| Spreadsheet specific interfaces.

## Constant Groups
constants | com::sun::star::sheet::ExternalLinkType
| Constants designating the link type in ExternalLinkInfo, used with FormulaParser::ExternalLinks.

## Variables
const long | UNKNOWN = 0
| Unknown element type. More...
const long | DOCUMENT = 1
| URL of an external document. More...
const long | DDE = 2
| DDE link. More...
const long | SELF = 3
| Reference to the own document. More...
const long | SPECIAL = 4
| For special use cases. More...